Loading...
Searching...
No Matches
RDKit::v2::MarvinParser Namespace Reference

## Classes

struct | MrvParserParams

## Functions

RDKIT_MARVINPARSER_EXPORT bool | MrvFileIsReaction (const std::string &fname)
RDKIT_MARVINPARSER_EXPORT bool | MrvDataStreamIsReaction (std::istream &inStream)
RDKIT_MARVINPARSER_EXPORT bool | MrvBlockIsReaction (const std::string &molmrvText)
RDKIT_MARVINPARSER_EXPORT std::unique_ptr< RWMol > | MolFromMrvDataStream (std::istream &inStream, const MrvParserParams &params=MrvParserParams())
RDKIT_MARVINPARSER_EXPORT std::unique_ptr< RWMol > | MolFromMrvBlock (const std::string &molmrvText, const MrvParserParams &params=MrvParserParams())
RDKIT_MARVINPARSER_EXPORT std::unique_ptr< RWMol > | MolFromMrvFile (const std::string &fName, const MrvParserParams &params=MrvParserParams())
RDKIT_MARVINPARSER_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromMrvDataStream (std::istream &inStream, const MrvParserParams &params=MrvParserParams())
RDKIT_MARVINPARSER_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromMrvBlock (const std::string &molmrvText, const MrvParserParams &params=MrvParserParams())
RDKIT_MARVINPARSER_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromMrvFile (const std::string &fName, const MrvParserParams &params=MrvParserParams())

## Function Documentation

## MolFromMrvBlock()

RDKIT_MARVINPARSER_EXPORT std::unique_ptr< RWMol > RDKit::v2::MarvinParser::MolFromMrvBlock | ( | const std::string & | molmrvText,
|  | const MrvParserParams & | params = `MrvParserParams()`
| ) |  |

## MolFromMrvDataStream()

RDKIT_MARVINPARSER_EXPORT std::unique_ptr< RWMol > RDKit::v2::MarvinParser::MolFromMrvDataStream | ( | std::istream & | inStream,
|  | const MrvParserParams & | params = `MrvParserParams()`
| ) |  |

## MolFromMrvFile()

RDKIT_MARVINPARSER_EXPORT std::unique_ptr< RWMol > RDKit::v2::MarvinParser::MolFromMrvFile | ( | const std::string & | fName,
|  | const MrvParserParams & | params = `MrvParserParams()`
| ) |  |

## MrvBlockIsReaction()

RDKIT_MARVINPARSER_EXPORT bool RDKit::v2::MarvinParser::MrvBlockIsReaction | ( | const std::string & | molmrvText | ) |

## MrvDataStreamIsReaction()

RDKIT_MARVINPARSER_EXPORT bool RDKit::v2::MarvinParser::MrvDataStreamIsReaction | ( | std::istream & | inStream | ) |

## MrvFileIsReaction()

RDKIT_MARVINPARSER_EXPORT bool RDKit::v2::MarvinParser::MrvFileIsReaction | ( | const std::string & | fname | ) |

## ReactionFromMrvBlock()

RDKIT_MARVINPARSER_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::MarvinParser::ReactionFromMrvBlock | ( | const std::string & | molmrvText,
|  | const MrvParserParams & | params = `MrvParserParams()`
| ) |  |

## ReactionFromMrvDataStream()

RDKIT_MARVINPARSER_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::MarvinParser::ReactionFromMrvDataStream | ( | std::istream & | inStream,
|  | const MrvParserParams & | params = `MrvParserParams()`
| ) |  |

## ReactionFromMrvFile()

RDKIT_MARVINPARSER_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::MarvinParser::ReactionFromMrvFile | ( | const std::string & | fName,
|  | const MrvParserParams & | params = `MrvParserParams()`
| ) |  |